/*
                  Endeavour Mark II API Master Header File
 */

#ifndef LIBENDEAVOUR2_H
#define LIBENDEAVOUR2_H

#include <glib.h>
#include "edvtypes.h"			/* Typedefs & Enums */
#include "edvcfglist.h"			/* Cfg List */
#include "edvcontext.h"			/* Context */
#include "edvget.h"			/* Cfg Fetching */
#include "edvhelp.h"			/* Help Browser & Help Displaying */
#include "edvhistory.h"			/* History Event Logging */
#include "edvmessage.h"			/* Message Output & Play Sound */
#include "edvmimetypes.h"		/* MIME Types */
#include "edvmimetypesget.h"		/* MIME Types Fetching & Matching */
#include "edvmimetypesinstall.h"	/* MIME Types Installing */
#include "edvnotify.h"			/* Event Notifying */
#include "edvopen.h"			/* Object Opening */
#include "edvrecycle.h"			/* Recycle, Recover, and Purge */
#include "edvutils.h"			/* Utilities */
#include "edvwindow.h"			/* Window Creation & Mapping */

#endif	/* LIBENDEAVOUR2_H */
